List supported speeds for a voice
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/voice_speed/{voice_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/voice_speed/{voice_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/voice_speed/{voice_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Speed options retrieved successfully",
"data": {
"voice_uuid": "ebeba3e0-89b5-4c94-9841-9555ab155dbc",
"default": "normal",
"available": [
{
"value": "normal",
"label": "Normal"
}
]
}
}{
"success": false,
"message": "Agent not found",
"data": []
}Voice Library
List supported speeds for a voice
Send a voice UUID, receive the speed options that voice supports. normal is always returned; fast is included only when the voice’s underlying model supports it.
GET
/
api
/
v1
/
voice_speed
/
{voice_uuid}
List supported speeds for a voice
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
UUID of the voice from /api/v1/voice_library.
⌘I